Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Admin Key
  • Attachment
  • App Properties
  • Ancestors
  • Blog Post
  • Children
  • Classification Level
  • Comment
  • Content
  • Content Permissions
  • Content Properties
  • Custom Content
  • Database
  • Data Policies
  • Descendants
  • Folder
  • Label
  • Like
  • Operation
  • Page
  • Redactions
  • Space
  • Space Permissions
  • Space Permission Transition
  • Space Properties
  • Space Roles
  • Task
  • User
  • Version
  • Whiteboard
Cloud
Confluence Cloud / Reference / REST API v2

Version

Postman Collection
OpenAPI
GET

Get attachment versions

Returns the versions of specific attachment.

Permissions required: Permission to view the attachment and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:attachment:confluence

Connect app scope required: READ

Request

Path parameters

id

string

Required

Query parameters

cursor

string

limit

integer

sort

VersionSortOrder

Responses

Returned if the requested attachment versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/attachments/{id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/attachments/{id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "attachment": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Get version details for attachment version

Retrieves version details for the specified attachment and version number.

Permissions required: Permission to view the attachment.

Data Security Policy: Not exempt from app access rules
Scopes
read:attachment:confluence

Connect app scope required: READ

Request

Path parameters

attachment-id

string

Required
version-number

integer

Required

Responses

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/attachments/{attachment-id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/attachments/{attachment-id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }
GET

Get blog post versions

Returns the versions of specific blog post.

Permissions required: Permission to view the blog post and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:page:confluence

Connect app scope required: READ

Request

Path parameters

id

integer

Required

Query parameters

body-format

PrimaryBodyRepresentation

cursor

string

limit

integer

sort

VersionSortOrder

Responses

Returned if the requested blog post versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/blogposts/{id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/blogposts/{id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "blogpost": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Get version details for blog post version

Retrieves version details for the specified blog post and version number.

Permissions required: Permission to view the blog post.

Data Security Policy: Not exempt from app access rules
Scopes
read:page:confluence

Connect app scope required: READ

Request

Path parameters

blogpost-id

integer

Required
version-number

integer

Required

Responses

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/blogposts/{blogpost-id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/blogposts/{blogpost-id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }
GET

Get page versions

Returns the versions of specific page.

Permissions required: Permission to view the page and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:page:confluence

Connect app scope required: READ

Request

Path parameters

id

integer

Required

Query parameters

body-format

PrimaryBodyRepresentation

cursor

string

limit

integer

sort

VersionSortOrder

Responses

Returned if the requested page versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/pages/{id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/pages/{id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "page": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Get version details for page version

Retrieves version details for the specified page and version number.

Permissions required: Permission to view the page.

Data Security Policy: Not exempt from app access rules
Scopes
read:page:confluence

Connect app scope required: READ

Request

Path parameters

page-id

integer

Required
version-number

integer

Required

Responses

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/pages/{page-id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/pages/{page-id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }
GET

Get custom content versions

Returns the versions of specific custom content.

Permissions required: Permission to view the custom content and its corresponding page and space.

Data Security Policy: Not exempt from app access rules
Scopes
read:custom-content:confluence

Connect app scope required: READ

Request

Path parameters

custom-content-id

integer

Required

Query parameters

body-format

CustomContentBodyRepresentation

cursor

string

limit

integer

sort

VersionSortOrder

Responses

Returned if the requested custom content versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/custom-content/{custom-content-id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/custom-content/{custom-content-id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "custom": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Get version details for custom content version

Retrieves version details for the specified custom content and version number.

Permissions required: Permission to view the page.

Data Security Policy: Not exempt from app access rules
Scopes
read:custom-content:confluence

Connect app scope required: READ

Request

Path parameters

custom-content-id

integer

Required
version-number

integer

Required

Responses

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/custom-content/{custom-content-id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/custom-content/{custom-content-id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }
GET

Retrieves the versions of the specified footer comment.

Permissions required: Permission to view the content of the page or blog post and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:comment:confluence

Connect app scope required: READ

id

integer

Required
body-format

PrimaryBodyRepresentation

cursor

string

limit

integer

sort

VersionSortOrder

Returned if the requested footer comment versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/footer-comments/{id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/footer-comments/{id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "comment": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Retrieves version details for the specified footer comment version.

Permissions required: Permission to view the content of the page or blog post and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:comment:confluence

Connect app scope required: READ

id

integer

Required
version-number

integer

Required

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/footer-comments/{id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/footer-comments/{id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }
GET

Get inline comment versions

Retrieves the versions of the specified inline comment.

Permissions required: Permission to view the content of the page or blog post and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:comment:confluence

Connect app scope required: READ

Request

Path parameters

id

integer

Required

Query parameters

body-format

PrimaryBodyRepresentation

cursor

string

limit

integer

sort

VersionSortOrder

Responses

Returned if the requested inline comment versions are returned.

Headers

Link

string

application/json

MultiEntityResult<Version>
GET/inline-comments/{id}/versions
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/inline-comments/{id}/versions`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "results": [ { "createdAt": "<string>", "message": "<string>", "number": 19, "minorEdit": true, "authorId": "<string>", "comment": { "title": "<string>", "id": "<string>", "body": {} } } ], "_links": { "next": "<string>", "base": "<string>" } }
GET

Get version details for inline comment version

Retrieves version details for the specified inline comment version.

Permissions required: Permission to view the content of the page or blog post and its corresponding space.

Data Security Policy: Not exempt from app access rules
Scopes
read:comment:confluence

Connect app scope required: READ

Request

Path parameters

id

integer

Required
version-number

integer

Required

Responses

Returned if the requested version details are successfully retrieved.

application/json

DetailedVersion
GET/inline-comments/{id}/versions/{version-number}
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestConfluence } from "@forge/bridge"; const response = await requestConfluence(`/wiki/api/v2/inline-comments/{id}/versions/{version-number}`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "number": 27, "authorId": "<string>", "message": "<string>", "createdAt": "<string>", "minorEdit": true, "contentTypeModified": true, "collaborators": [ "<string>" ], "prevVersion": 71, "nextVersion": 68 }

Rate this page: